diff -urN -X dontdiff linux/arch/sparc64/kernel/traps.c kmod/arch/sparc64/kernel/traps.c
--- linux/arch/sparc64/kernel/traps.c	Thu Dec 30 07:58:52 1999
+++ kmod/arch/sparc64/kernel/traps.c	Thu Dec 30 00:12:00 1999
@@ -27,9 +27,7 @@
 #include <asm/fpumacro.h>
 #include <asm/lsu.h>
 #include <asm/psrcompat.h>
-#ifdef CONFIG_KMOD
 #include <linux/kmod.h>
-#endif
 
 /* #define SYSCALL_TRACING */
 /* #define VERBOSE_SYSCALL_TRACING */
diff -urN -X dontdiff linux/drivers/block/ide.c kmod/drivers/block/ide.c
--- linux/drivers/block/ide.c	Fri Dec 17 01:46:09 1999
+++ kmod/drivers/block/ide.c	Thu Dec 30 00:12:00 1999
@@ -151,9 +151,7 @@
 
 #include "ide_modes.h"
 
-#ifdef CONFIG_KMOD
 #include <linux/kmod.h>
-#endif /* CONFIG_KMOD */
 
 #ifdef CONFIG_BLK_DEV_VIA82CXXX
 extern byte fifoconfig;		/* defined in via82cxxx.c used by ide_setup() */
@@ -1795,10 +1793,8 @@
 		module = module->next;
 	}
 	revalidate_drives();
-#ifdef CONFIG_KMOD
 	if (!found && type == IDE_PROBE_MODULE)
 		(void) request_module("ide-probe");
-#endif /* CONFIG_KMOD */
 }
 
 static int ide_open (struct inode * inode, struct file * filp)
@@ -1811,7 +1807,6 @@
 	MOD_INC_USE_COUNT;
 	if (drive->driver == NULL)
 		ide_init_module(IDE_DRIVER_MODULE);
-#ifdef CONFIG_KMOD
 	if (drive->driver == NULL) {
 		if (drive->media == ide_disk)
 			(void) request_module("ide-disk");
@@ -1822,7 +1817,6 @@
 		if (drive->media == ide_floppy)
 			(void) request_module("ide-floppy");
 	}
-#endif /* CONFIG_KMOD */
 	while (drive->busy)
 		sleep_on(&drive->wqueue);
 	drive->usage++;
diff -urN -X dontdiff linux/drivers/block/md.c kmod/drivers/block/md.c
--- linux/drivers/block/md.c	Mon Dec 13 07:00:35 1999
+++ kmod/drivers/block/md.c	Thu Dec 30 00:12:00 1999
@@ -46,9 +46,7 @@
 #include <linux/blkdev.h>
 #include <linux/genhd.h>
 #include <linux/smp_lock.h>
-#ifdef CONFIG_KMOD
 #include <linux/kmod.h>
-#endif
 #include <linux/errno.h>
 #include <linux/init.h>
 
@@ -406,12 +404,10 @@
   }
   if (!pers[pnum])
   {
-#ifdef CONFIG_KMOD
     char module_name[80];
     sprintf (module_name, "md-personality-%d", pnum);
     request_module (module_name);
     if (!pers[pnum])
-#endif
       return -EINVAL;
   }
   
diff -urN -X dontdiff linux/drivers/char/ftape/zftape/zftape-init.c kmod/drivers/char/ftape/zftape/zftape-init.c
--- linux/drivers/char/ftape/zftape/zftape-init.c	Tue Nov 23 18:29:15 1999
+++ kmod/drivers/char/ftape/zftape/zftape-init.c	Thu Dec 30 00:12:00 1999
@@ -30,9 +30,7 @@
 #include <linux/signal.h>
 #include <linux/major.h>
 #include <linux/malloc.h>
-#ifdef CONFIG_KMOD
 #include <linux/kmod.h>
-#endif
 #include <linux/fcntl.h>
 #include <linux/wrapper.h>
 
@@ -382,18 +380,13 @@
 int zft_cmpr_lock(int try_to_load)
 {
 	if (zft_cmpr_ops == NULL) {
-#ifdef CONFIG_KMOD
 		if (try_to_load) {
 			request_module("zft-compressor");
 			if (zft_cmpr_ops == NULL) {
 				return -ENOSYS;
 			}
-		} else {
+		} else 
 			return -ENOSYS;
-		}
-#else
-		return -ENOSYS;
-#endif
 	}
 	(*zft_cmpr_ops->lock)();
 	return 0;
diff -urN -X dontdiff linux/drivers/net/ppp_generic.c kmod/drivers/net/ppp_generic.c
--- linux/drivers/net/ppp_generic.c	Tue Nov  9 19:50:49 1999
+++ kmod/drivers/net/ppp_generic.c	Thu Dec 30 00:12:00 1999
@@ -1195,9 +1195,7 @@
 	struct compressor *cp;
 	struct ppp_option_data data;
 	unsigned char ccp_option[CCP_MAX_OPTION_LENGTH];
-#ifdef CONFIG_KMOD
 	char modname[32];
-#endif
 
 	err = -EFAULT;
 	if (copy_from_user(&data, (void *) arg, sizeof(data))
@@ -1210,13 +1208,11 @@
 		goto out;
 
 	cp = find_compressor(ccp_option[0]);
-#ifdef CONFIG_KMOD
 	if (cp == 0) {
 		sprintf(modname, "ppp-compress-%d", ccp_option[0]);
 		request_module(modname);
 		cp = find_compressor(ccp_option[0]);
 	}
-#endif /* CONFIG_KMOD */
 	if (cp == 0)
 		goto out;
 
diff -urN -X dontdiff linux/drivers/scsi/fcal.c kmod/drivers/scsi/fcal.c
--- linux/drivers/scsi/fcal.c	Thu Dec 30 07:58:54 1999
+++ kmod/drivers/scsi/fcal.c	Thu Dec 30 00:12:00 1999
@@ -14,9 +14,7 @@
 #include <linux/stat.h>
 #include <linux/init.h>
 #include <linux/config.h>
-#ifdef CONFIG_KMOD
 #include <linux/kmod.h>
-#endif
 
 #include <asm/irq.h>
 
@@ -99,7 +97,7 @@
 			fcalcount++;
 	FCALND(("%d channels online\n", fcalcount))
 	if (!fcalcount) {
-#if defined(MODULE) && defined(CONFIG_FC4_SOCAL_MODULE) && defined(CONFIG_KMOD)
+#if defined(MODULE) && defined(CONFIG_FC4_SOCAL_MODULE)
 		request_module("socal");
 		
 		for_each_online_fc_channel(fc)
diff -urN -X dontdiff linux/drivers/scsi/pluto.c kmod/drivers/scsi/pluto.c
--- linux/drivers/scsi/pluto.c	Thu Dec 30 07:58:54 1999
+++ kmod/drivers/scsi/pluto.c	Thu Dec 30 00:12:00 1999
@@ -14,9 +14,7 @@
 #include <linux/stat.h>
 #include <linux/init.h>
 #include <linux/config.h>
-#ifdef CONFIG_KMOD
 #include <linux/kmod.h>
-#endif
 
 #include <asm/irq.h>
 
@@ -101,7 +99,7 @@
 	}
 	PLND(("%d channels online\n", fcscount))
 	if (!fcscount) {
-#if defined(MODULE) && defined(CONFIG_FC4_SOC_MODULE) && defined(CONFIG_KMOD)
+#if defined(MODULE) && defined(CONFIG_FC4_SOC_MODULE)
 		request_module("soc");
 		
 		for_each_online_fc_channel(fc) {
diff -urN -X dontdiff linux/drivers/scsi/scsi.c kmod/drivers/scsi/scsi.c
--- linux/drivers/scsi/scsi.c	Thu Dec 30 08:01:30 1999
+++ kmod/drivers/scsi/scsi.c	Thu Dec 30 00:12:00 1999
@@ -65,9 +65,7 @@
 #include "hosts.h"
 #include "constants.h"
 
-#ifdef CONFIG_KMOD
 #include <linux/kmod.h>
-#endif
 
 #undef USE_STATIC_SCSI_MEMORY
 
@@ -3199,10 +3197,8 @@
 
 		/* Load upper level device handler of some kind */
 	case MODULE_SCSI_DEV:
-#ifdef CONFIG_KMOD
 		if (scsi_hosts == NULL)
 			request_module("scsi_hostadapter");
-#endif
 		return scsi_register_device_module((struct Scsi_Device_Template *) ptr);
 		/* The rest of these are not yet implemented */
 
diff -urN -X dontdiff linux/drivers/video/fbmem.c kmod/drivers/video/fbmem.c
--- linux/drivers/video/fbmem.c	Thu Dec 30 07:58:55 1999
+++ kmod/drivers/video/fbmem.c	Thu Dec 30 00:12:00 1999
@@ -22,9 +22,7 @@
 #include <linux/console.h>
 #include <linux/init.h>
 #include <linux/proc_fs.h>
-#ifdef CONFIG_KMOD
 #include <linux/kmod.h>
-#endif
 
 #if defined(__mc68000__) || defined(CONFIG_APUS)
 #include <asm/setup.h>
@@ -295,7 +293,6 @@
 	return copy_size;
 }
 
-#ifdef CONFIG_KMOD
 static void try_to_load(int fb)
 {
 	char modname[16];
@@ -303,7 +300,6 @@
 	sprintf(modname, "fb%d", fb);
 	request_module(modname);
 }
-#endif /* CONFIG_KMOD */
 
 static int 
 fb_ioctl(struct inode *inode, struct file *file, unsigned int cmd,
@@ -373,10 +369,8 @@
 		    return -EINVAL;
 		if (con2fb.framebuffer < 0 || con2fb.framebuffer >= FB_MAX)
 		    return -EINVAL;
-#ifdef CONFIG_KMOD
 		if (!registered_fb[con2fb.framebuffer])
 		    try_to_load(con2fb.framebuffer);
-#endif /* CONFIG_KMOD */
 		if (!registered_fb[con2fb.framebuffer])
 		    return -EINVAL;
 		if (con2fb.console != 0)
@@ -509,10 +503,8 @@
 	int fbidx = GET_FB_IDX(inode->i_rdev);
 	struct fb_info *info;
 
-#ifdef CONFIG_KMOD
 	if (!(info = registered_fb[fbidx]))
 		try_to_load(fbidx);
-#endif /* CONFIG_KMOD */
 	if (!(info = registered_fb[fbidx]))
 		return -ENODEV;
 	return info->fbops->fb_open(info,1);
diff -urN -X dontdiff linux/fs/devices.c kmod/fs/devices.c
--- linux/fs/devices.c	Sun Dec  5 16:42:03 1999
+++ kmod/fs/devices.c	Thu Dec 30 00:12:00 1999
@@ -17,7 +17,6 @@
 #include <linux/stat.h>
 #include <linux/fcntl.h>
 #include <linux/errno.h>
-#ifdef CONFIG_KMOD
 #include <linux/kmod.h>
 
 #include <linux/tty.h>
@@ -26,7 +25,6 @@
 struct tty_driver *get_tty_driver(kdev_t device);
 #define isa_tty_dev(ma)	(ma == TTY_MAJOR || ma == TTYAUX_MAJOR)
 #define need_serial(ma,mi) (get_tty_driver(MKDEV(ma,mi)) == NULL)
-#endif
 
 struct device_struct {
 	const char * name;
@@ -75,7 +73,6 @@
 	struct file_operations *ret = NULL;
 
 	if (major < maxdev){
-#ifdef CONFIG_KMOD
 		/*
 		 * I do get request for device 0. I have no idea why. It happen
 		 * at shutdown time for one. Without the following test, the
@@ -97,7 +94,6 @@
 			sprintf(name, mangle, major);
 			request_module(name);
 		}
-#endif
 		ret = tb[major].fops;
 	}
 	return ret;
diff -urN -X dontdiff linux/fs/exec.c kmod/fs/exec.c
--- linux/fs/exec.c	Thu Dec 30 08:01:31 1999
+++ kmod/fs/exec.c	Thu Dec 30 00:12:00 1999
@@ -22,7 +22,6 @@
  * formats. 
  */
 
-#include <linux/config.h>
 #include <linux/slab.h>
 #include <linux/file.h>
 #include <linux/mman.h>
@@ -33,15 +32,12 @@
 #include <linux/init.h>
 #include <linux/pagemap.h>
 #include <linux/highmem.h>
+#include <linux/kmod.h>
 
 #include <asm/uaccess.h>
 #include <asm/pgalloc.h>
 #include <asm/mmu_context.h>
 
-#ifdef CONFIG_KMOD
-#include <linux/kmod.h>
-#endif
-
 static struct linux_binfmt *formats = (struct linux_binfmt *) NULL;
 
 int register_binfmt(struct linux_binfmt * fmt)
@@ -779,7 +775,6 @@
 		}
 		if (retval != -ENOEXEC) {
 			break;
-#ifdef CONFIG_KMOD
 		}else{
 #define printable(c) (((c)=='\t') || ((c)=='\n') || (0x20<=(c) && (c)<=0x7e))
 			char modname[20];
@@ -790,7 +785,6 @@
 				break; /* -ENOEXEC */
 			sprintf(modname, "binfmt-%04x", *(unsigned short *)(&bprm->buf[2]));
 			request_module(modname);
-#endif
 		}
 	}
 	return retval;
diff -urN -X dontdiff linux/fs/fat/cvf.c kmod/fs/fat/cvf.c
--- linux/fs/fat/cvf.c	Mon Aug  9 19:43:49 1999
+++ kmod/fs/fat/cvf.c	Thu Dec 30 00:12:00 1999
@@ -15,9 +15,7 @@
 #include<linux/string.h>
 #include<linux/fat_cvf.h>
 #include<linux/config.h>
-#ifdef CONFIG_KMOD
 #include<linux/kmod.h>
-#endif
 
 #define MAX_CVF_FORMATS 3
 
@@ -181,20 +179,13 @@
   if(force)
     if(strcmp(force,"autoload")==0)
     {
-#ifdef CONFIG_KMOD
       request_module("cvf_autoload");
       force=NULL;
-#else
-      printk("cannot autoload CVF modules: kmod support is not compiled into kernel\n");
-      return -1;
-#endif
     }
     
-#ifdef CONFIG_KMOD
   if(force)
     if(*force)
       request_module(force);
-#endif
 
   if(force)
   { if(*force)
diff -urN -X dontdiff linux/fs/filesystems.c kmod/fs/filesystems.c
--- linux/fs/filesystems.c	Thu Dec 30 07:58:55 1999
+++ kmod/fs/filesystems.c	Thu Dec 30 00:12:00 1999
@@ -36,13 +36,11 @@
 #include <linux/major.h>
 #include <linux/smp.h>
 #include <linux/smp_lock.h>
-#ifdef CONFIG_KMOD
-#include <linux/kmod.h>
-#endif
 #include <linux/lockd/bind.h>
 #include <linux/lockd/xdr.h>
 #include <linux/init.h>
 #include <linux/nls.h>
+#include <linux/kmod.h>
 
 #ifdef CONFIG_CODA_FS
 extern int init_coda(void);
@@ -184,12 +182,9 @@
 		ret = do_nfsservctl(cmd, argp, resp);
 		goto out;
 	}
-#ifdef CONFIG_KMOD
-	if (request_module ("nfsd") == 0) {
+	if (request_module ("nfsd") == 0)
 		if (do_nfsservctl)
 			ret = do_nfsservctl(cmd, argp, resp);
-	}
-#endif /* CONFIG_KMOD */
 out:
 	unlock_kernel();
 	return ret;
diff -urN -X dontdiff linux/fs/nls/nls_base.c kmod/fs/nls/nls_base.c
--- linux/fs/nls/nls_base.c	Tue Dec  7 18:21:10 1999
+++ kmod/fs/nls/nls_base.c	Thu Dec 30 00:12:00 1999
@@ -14,9 +14,7 @@
 #include <linux/config.h>
 #include <linux/nls.h>
 #include <linux/malloc.h>
-#ifdef CONFIG_KMOD
 #include <linux/kmod.h>
-#endif
 #include <asm/byteorder.h>
 
 static struct nls_table *tables = (struct nls_table *) NULL;
@@ -204,10 +202,8 @@
 struct nls_table *load_nls(char *charset)
 {
 	struct nls_table *nls;
-#ifdef CONFIG_KMOD
 	char buf[40];
 	int ret;
-#endif
 
 	nls = find_nls(charset);
 	if (nls) {
@@ -215,9 +211,6 @@
 		return nls;
 	}
 
-#ifndef CONFIG_KMOD
-	return NULL;
-#else
 	if (strlen(charset) > sizeof(buf) - sizeof("nls_")) {
 		printk("Unable to load NLS charset %s: name too long\n", charset);
 		return NULL;
@@ -234,7 +227,6 @@
 		nls->inc_use_count();
 	}
 	return nls;
-#endif
 }
 
 void unload_nls(struct nls_table *nls)
diff -urN -X dontdiff linux/fs/super.c kmod/fs/super.c
--- linux/fs/super.c	Fri Dec 10 17:23:24 1999
+++ kmod/fs/super.c	Thu Dec 30 00:12:00 1999
@@ -25,6 +25,7 @@
 #include <linux/init.h>
 #include <linux/quotaops.h>
 #include <linux/acct.h>
+#include <linux/kmod.h>
 
 #include <asm/uaccess.h>
 
@@ -32,10 +33,6 @@
 #include <linux/nfs_fs_sb.h>
 #include <linux/nfs_mount.h>
 
-#ifdef CONFIG_KMOD
-#include <linux/kmod.h>
-#endif
-
 /*
  * We use a semaphore to synchronize all mount/umount
  * activity - imagine the mess if we have a race between
@@ -397,13 +394,9 @@
 		return fs;
 	for (fs = file_systems; fs && strcmp(fs->name, name); fs = fs->next)
 		;
-#ifdef CONFIG_KMOD
-	if (!fs && (request_module(name) == 0)) {
+	if (!fs && (request_module(name) == 0))
 		for (fs = file_systems; fs && strcmp(fs->name, name); fs = fs->next)
 			;
-	}
-#endif
-
 	return fs;
 }
 
diff -urN -X dontdiff linux/kernel/ksyms.c kmod/kernel/ksyms.c
--- linux/kernel/ksyms.c	Thu Dec  9 21:10:18 1999
+++ kmod/kernel/ksyms.c	Thu Dec 30 00:12:00 1999
@@ -46,9 +46,7 @@
 #if defined(CONFIG_PROC_FS)
 #include <linux/proc_fs.h>
 #endif
-#ifdef CONFIG_KMOD
 #include <linux/kmod.h>
-#endif
 
 extern int console_loglevel;
 extern void set_device_ro(kdev_t dev,int flag);
diff -urN -X dontdiff linux/net/core/dev.c kmod/net/core/dev.c
--- linux/net/core/dev.c	Thu Dec 30 07:58:59 1999
+++ kmod/net/core/dev.c	Thu Dec 30 00:12:00 1999
@@ -400,19 +400,11 @@
  *	Find and possibly load an interface.
  */
  
-#ifdef CONFIG_KMOD
-
 void dev_load(const char *name)
 {
 	if(!__dev_get_by_name(name) && capable(CAP_SYS_MODULE))
 		request_module(name);
 }
-
-#else
-
-extern inline void dev_load(const char *unused){;}
-
-#endif
 
 static int default_rebuild_header(struct sk_buff *skb)
 {
diff -urN -X dontdiff linux/net/decnet/dn_dev.c kmod/net/decnet/dn_dev.c
--- linux/net/decnet/dn_dev.c	Wed Dec  8 23:17:55 1999
+++ kmod/net/decnet/dn_dev.c	Thu Dec 30 00:12:00 1999
@@ -401,9 +401,7 @@
 		return -EFAULT;
 	ifr->ifr_name[IFNAMSIZ-1] = 0;
 
-#ifdef CONFIG_KMOD
 	dev_load(ifr->ifr_name);
-#endif
 
 	switch(cmd) {
 		case SIOCGIFADDR:
diff -urN -X dontdiff linux/net/ipv4/af_inet.c kmod/net/ipv4/af_inet.c
--- linux/net/ipv4/af_inet.c	Thu Dec 30 07:58:59 1999
+++ kmod/net/ipv4/af_inet.c	Thu Dec 30 00:12:00 1999
@@ -106,9 +106,7 @@
 #ifdef CONFIG_BRIDGE
 #include <net/br.h>
 #endif
-#ifdef CONFIG_KMOD
 #include <linux/kmod.h>
-#endif
 #if defined(CONFIG_NET_RADIO) || defined(CONFIG_NET_PCMCIA_RADIO)
 #include <linux/wireless.h>		/* Note : will define WIRELESS_EXT */
 #endif	/* CONFIG_NET_RADIO || CONFIG_NET_PCMCIA_RADIO */
@@ -868,10 +866,8 @@
 
 #ifdef CONFIG_DLCI_MODULE
 
-#ifdef CONFIG_KMOD
 			if (dlci_ioctl_hook == NULL)
 				request_module("dlci");
-#endif
 
 			if (dlci_ioctl_hook) {
 				lock_kernel();
diff -urN -X dontdiff linux/net/ipv4/devinet.c kmod/net/ipv4/devinet.c
--- linux/net/ipv4/devinet.c	Tue Aug 31 19:23:03 1999
+++ kmod/net/ipv4/devinet.c	Thu Dec 30 00:12:00 1999
@@ -50,9 +50,7 @@
 #ifdef CONFIG_SYSCTL
 #include <linux/sysctl.h>
 #endif
-#ifdef CONFIG_KMOD
 #include <linux/kmod.h>
-#endif
 
 #include <net/ip.h>
 #include <net/route.h>
@@ -489,9 +487,7 @@
 		*colon = 0;
 #endif
 
-#ifdef CONFIG_KMOD
 	dev_load(ifr.ifr_name);
-#endif
 
 	switch(cmd) {
 	case SIOCGIFADDR:	/* Get interface address */
diff -urN -X dontdiff linux/net/irda/irda_device.c kmod/net/irda/irda_device.c
--- linux/net/irda/irda_device.c	Thu Dec 30 08:01:31 1999
+++ kmod/net/irda/irda_device.c	Thu Dec 30 00:12:00 1999
@@ -465,11 +465,9 @@
 
 	ASSERT(dev != NULL, return NULL;);
 
-#ifdef CONFIG_KMOD
 	/* Try to load the module needed */
 	sprintf(modname, "irda-dongle-%d", type);
 	request_module(modname);
-#endif /* CONFIG_KMOD */
 
 	if (!(reg = hashbin_find(dongles, type, NULL))) {
 		ERROR("IrDA: Unable to find requested dongle\n");
diff -urN -X dontdiff linux/net/netsyms.c kmod/net/netsyms.c
--- linux/net/netsyms.c	Thu Dec 30 07:59:00 1999
+++ kmod/net/netsyms.c	Thu Dec 30 00:12:00 1999
@@ -492,9 +492,7 @@
 EXPORT_SYMBOL(dev_get);
 EXPORT_SYMBOL(dev_alloc);
 EXPORT_SYMBOL(dev_alloc_name);
-#ifdef CONFIG_KMOD
 EXPORT_SYMBOL(dev_load);
-#endif
 EXPORT_SYMBOL(dev_ioctl);
 EXPORT_SYMBOL(dev_queue_xmit);
 EXPORT_SYMBOL(netdev_dropping);
diff -urN -X dontdiff linux/net/sched/cls_api.c kmod/net/sched/cls_api.c
--- linux/net/sched/cls_api.c	Thu Aug 26 22:09:23 1999
+++ kmod/net/sched/cls_api.c	Thu Dec 30 00:12:00 1999
@@ -201,7 +201,6 @@
 		if ((tp = kmalloc(sizeof(*tp), GFP_KERNEL)) == NULL)
 			goto errout;
 		tp_ops = tcf_proto_lookup_ops(tca[TCA_KIND-1]);
-#ifdef CONFIG_KMOD
 		if (tp_ops==NULL && tca[TCA_KIND-1] != NULL) {
 			struct rtattr *kind = tca[TCA_KIND-1];
 			char module_name[4 + IFNAMSIZ + 1];
@@ -212,7 +211,6 @@
 				tp_ops = tcf_proto_lookup_ops(kind);
 			}
 		}
-#endif
 		if (tp_ops == NULL) {
 			err = -EINVAL;
 			kfree(tp);
diff -urN -X dontdiff linux/net/sched/sch_api.c kmod/net/sched/sch_api.c
--- linux/net/sched/sch_api.c	Thu Oct 28 22:34:44 1999
+++ kmod/net/sched/sch_api.c	Thu Dec 30 00:12:00 1999
@@ -374,7 +374,6 @@
 	int size;
 
 	ops = qdisc_lookup_ops(kind);
-#ifdef CONFIG_KMOD
 	if (ops==NULL && tca[TCA_KIND-1] != NULL) {
 		char module_name[4 + IFNAMSIZ + 1];
 
@@ -384,7 +383,6 @@
 			ops = qdisc_lookup_ops(kind);
 		}
 	}
-#endif
 
 	err = -EINVAL;
 	if (ops == NULL)
diff -urN -X dontdiff linux/net/socket.c kmod/net/socket.c
--- linux/net/socket.c	Sat Nov 27 23:27:49 1999
+++ kmod/net/socket.c	Thu Dec 30 00:12:00 1999
@@ -69,10 +69,7 @@
 #include <linux/wanrouter.h>
 #include <linux/init.h>
 #include <linux/poll.h>
-
-#if defined(CONFIG_KMOD) && defined(CONFIG_NET)
 #include <linux/kmod.h>
-#endif
 
 #include <asm/uaccess.h>
 
@@ -715,7 +712,7 @@
 		family = PF_PACKET;
 	}
 		
-#if defined(CONFIG_KMOD) && defined(CONFIG_NET)
+#if defined(CONFIG_NET)
 	/* Attempt to load a protocol module if the find failed. 
 	 * 
 	 * 12/09/1996 Marcin: But! this makes REALLY only sense, if the user 
